# SniffEmu

Amiga CLI tool to "detect" if the system is running in emulator.

## Description

SniffEmu is a small CLI tool to "detect" if the system is running in
emulation-like environment, e.g. UAE. I use it to conditionally execute parts
of Startup-Sequence, e.g. to can skip FBlit when the OS is booting on PiStorm.

Usage: SniffEmu HELP/S RTG/S SND/S MODE

`MODE` is one of `EMU68`, `UAE` or `MUSASHI`. `RTG/S` allows you to
specifically look for the emulator's RTG card, so you can e.g. set up the
proper screen mode.

`SND/S` allows you to look for the emulator's sound card. This currently works
only with `UAESND` card in WinUAE.

Example:

```
> SniffEmu EMU68
SniffEmu: Looking for board: 28019:-1... NOT FOUND
```

```
> SniffEmu RTG UAE
SniffEmu: Looking for board: 2011:96... FOUND
```

If the emulator (or RTG) was detected, the program will set the returncode to
`WARN`. Otherwise, it'll be `OK`.

Example script:

```
C:SniffEmu RTG UAE >NIL:
If WARN
  Echo "Found UAE RTG!"
EndIf
```

Note: MUSASHI support is currently untested. If anybody uses it, let me know
about the results ;).

## Requirements

AmigaOS 3.1+, MC68020+

## Changelog

Version 1.1.1 (27.02.2023)

  * Added missing `CloseLibrary()` call to close _expansion.library_.
    Reported by Tj de Wolff

Version 1.1.0 (25.02.2023)

  * Added sound card detection.

Version 1.0.0 (16.02.2023)

  * Initial release.

## Contributing

If you think you found a bug or want to send a patch, feel free to contact
me through e-mail.

## Author

SniffEmu is developed by [Tomek Wójcik](https://www.bthlabs.pl/).

## License

SniffEmu is licensed under the MIT License.
